Create a Session object

When a charging session starts, a Session object can be created using this call.

Path Params
string
required
string
required
string
required
Body Params
string | null

The unique id that identifies the session in the CPO platform

date-time

The timestamp when the session became ACTIVE in the Charge Point. When the session is still PENDING, this field SHALL be set to the time the Session was created at the Charge Point. When a Session goes from PENDING to ACTIVE, this field SHALL be updated to the moment the Session went to ACTIVE in the Charge Point

double

How many kWh are charged.

string | null

Uniquely identifies the EVSE within the CPO’s platform (and suboperator platforms). For example a database unique ID or the actual EVSE ID. Will be used to match the session data to a Charger in the platform This field can never be changed, modified or renamed. This is the technical identification of the EVSE, not to be used as human readable identification, use the field: evse_id for that.

charging_periods
array of objects | null

An optional list of charging periods that can be used to calculate and verify the total cost.

charging_periods
string | null

The status of the session: ACTIVE - The session is accepted and active. COMPLETED - The session is finished successfully. INVALID - The session is declared invalid and will not be billed. PENDING - The session is pending and has not yet started. This is the initial state.

date-time

Timestamp when this Session was last updated (or created).

double | null

State of Charge

Headers
string

Name of the client (or system) calling the api, this is helpful for tracing requests. This is optional.

string

Version of the client (or system) calling the api, this is helpful for tracing requests. This is optional.

Responses

400

Bad Request

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json